%global rel_ver 1.6
#global git_ver git554d244
%global rc_ver  rc1
%global git_cnt 0.1
%global rel_cnt 1
#global owner shadowsocks
%global owner shawn1m

#Disable debug info package
%global debug_package %{nil}

Name:       overture
Version:    %{rel_ver}
Release:    %{?git_ver:%{git_cnt}.%{git_ver}}%{?!git_ver:%{?rc_ver:%{git_cnt}.%{rc_ver}}%{?!rc_ver:%{rel_cnt}}}%{?dist}
Summary:    Overture is a DNS server/forwarder/dispatcher written in Go

Group:      Network
License:    MIT
URL:        https://github.com/%{owner}/overture
Source0:    %{name}-%{rel_ver}%{?git_ver:.%{git_ver}}%{?rc_ver:-%{rc_ver}}.tar.gz
Source1:    %{name}.service
Source2:    config.json
Source3:    ip_network_sample
Source4:    domain_sample
Source5:    LICENSE.md
Source6:    overture-update-info

BuildRequires:  go-srpm-macros
BuildRequires:  go-compilers-golang-compiler

BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/net/proxy)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/Sirupsen/logrus)

%description
Overture is a DNS server/forwarder/dispatcher written in Go

%prep
%setup -q -n %{name}-%{rel_ver}%{?git_ver:.%{git_ver}}%{?rc_ver:-%{rc_ver}}
cp %{SOURCE5} LICENSE.md

%build
export LDFLAGS="-X main.VERSION=%{rel_ver}%{?git_ver:.%{git_ver}}"
%global goipath github.com/%{owner}/%{name}
%undefine version
%gobuildroot
%gobuild -o _bin/%{name} %{goipath}/main

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
install -m 755 _bin/%{name} %{buildroot}%{_bindir}
install -m 755 %{SOURCE6} %{buildroot}%{_sbindir}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/%{name}
ln -s ../hosts %{buildroot}%{_sysconfdir}/%{name}/hosts_sample

%files
%license LICENSE.md
%doc README.md
%config(noreplace) %{_sysconfdir}/%{name}/config.json
%config(noreplace) %{_sysconfdir}/%{name}/ip_network_sample
%config(noreplace) %{_sysconfdir}/%{name}/domain_sample
%{_sysconfdir}/%{name}/hosts_sample
%{_bindir}/%{name}
%{_sbindir}/%{name}-update-info
%{_unitdir}/%{name}.service

%changelog
* Fri Jul 12 2019 Tomas Chang <changyp6@gmail.com> - 1.6-rc1-0.1
- Update to latest stock version

* Sun Apr 07 2019 Tomas Chang <changyp6@gmail.com> - 1.5-1
- Update to latest stock version

* Wed Jan 02 2019 Tomas Chang <changyp6@gmail.com> - 1.5-rc3-0.2
- Update to latest stock version

* Wed Jan 02 2019 Tomas Chang <changyp6@gmail.com> - 1.5-rc2-0.1
- Update to latest stock version

* Tue Dec 11 2018 Tomas Chang <changyp6@gmail.com> - 1.3.4.git554d244-0.3
- Update config

* Mon Dec 10 2018 Tomas Chang <changyp6@gmail.com> - 1.3.4.git554d244-0.2
- Disable debug info package

* Mon Dec 10 2018 Tomas Chang <changyp6@gmail.com> - 1.3.4.git554d244-0.1
- Initial build
